Subject: Re: lilo installation on IDE disk > 500 megabytes

From: [email-masked] (Bruce Perens)
Date: Thu, 22 Aug 96 11:56 PDT

From: Charles Blair <[email-masked]>
> I am trying to install the 7-14-96 debian release on a machine
> with over 500 megabytes on an IDE hard disk.

Well, if LILO will work at all with the default configuration that you get
when you install the package, you are probably safe, since only _one_
cylinder extends beyond 1024. Only a fraction of one percent of your disk
blocks are in that cylinder, and it is unlikely that the kernel will land
on one. If that's the case, it would be best for you stop here rather than
trying any of the following.

I solved this problem by creating a small partition for my "/", separate from
the one for "/usr". All of that partition was below the 1023rd cylinder, and
all of the files that LILO needed fit in it. Then the lilo configuration that
the package creates automaticaly will always work.

If you want to run LILO on the /dos partition, I think the /etc/lilo.conf
file should look like this:

	boot=/dev/hda1 (block device for /dos)
	root=/dev/hda2 (block device for linux "/")
	compact
	install=/dos/boot/boot.b (make sure this file is there)
	map=/dos/boot/map (this will be created there)
	vga=normal
	prompt
	image=/dos/vmlinuz (make sure this is there too)
	label=Linux
	read-only

Then, make sure to make the DOS partition as the boot partition using
fdisk. This will make it impossible to boot DOS without a floppy.
That's one reason it might be better to create a separate small root
partition for Linux.

Thanks

Bruce

---

From: Ken Gaugler <[email-masked]>
Date: Thu, 22 Aug 1996 12:54:13 -0700

>Resent-Date: 22 Aug 1996 14:28:53 -0000
>Resent-Cc: recipient.list.not.shown:;
>Old-Return-Path: <[email-masked]>
>From: [email-masked] (Martin Str|mberg)
>Subject: Re: lilo installation on IDE disk > 500 megabytes
>To: [email-masked] (Charles Blair)
>Date: Thu, 22 Aug 1996 16:28:35 +0200 (MET DST)
>Cc: [email-masked] (Debian user mailing list),
>        [email-masked]
>Resent-Message-ID: <"V8tcM3.0.455.aw67o"@vega>
>Resent-From: [email-masked]
>X-Mailing-List: <[email-masked]> archive/latest/5366
>X-Loop: [email-masked]
>Resent-Sender: [email-masked]
>
>Hello.
>
>> 
>> with over 500 megabytes on an IDE hard disk.  I want to have a DOS
>> partition and a linux partition.  At present fdisk shows:
>> 
>> >    Device Boot   Begin    Start      End   Blocks   Id  System
>> > /dev/hda1            1        1      356   179392+   6  DOS 16-bit >=32M
>> > /dev/hda2   *      357      357      966   307440   83  Linux native
>> > /dev/hda3          967      967      999    16632   82  Linux swap
>> 
>> fdisk also displays a warning:
>> 
>> > The number of cylinders for this disk is set to 1025.
>> > This is larger than 1024, and may cause problems with:
>> > 1) software that runs at boot time (e.g., LILO)
>> 
>> The lilo documentation says:
>> 
>> >Note that large partitions that only partially extend into the "forbidden 
>> >zone" are still in jeopardy even if they appear to work at first, because 
>> >the file system does not know about the restrictions and may allocate disk 
>> >space from the area beyond the 1024th cylinder when installing new kernels. 
>> 
>
>I think that your hda2 partition is under the 1024 cylinder boundary. Roar 
>those of you debianites that disagree (let us know, i. e.)! 
>Is there someway to check this with a program or can you be sure that when you 
>have a partition taking up 16MB (the swap) at the end of a disk of this size
>that that last cylinder (1025) is only used by that partition?
>
>> Lilo suggests either using LOADLIN or booting from the DOS partition:
>> 
>> > In order to accomplish this, the DOS partition is mounted read-write, a 
>> > directory (e.g. /dos/linux) is created, all files from /boot are moved to 
>> > that directory, /boot is replaced by a symbolic link to it, the kernels
are 
>> > also moved to the new directory, their new location is recorded in 
>> > /etc/lilo.conf, and finally /sbin/lilo is run.
>> 
>>    I tried creating a subdirectory c:\linux in DOS, then from linux:
>> 
>>      mkdir ./dos
>>      mount /dev/hda1/linux ./dos
>>      cp /boot ./dos
>> 
>> At this point, I got some warning or error messages.  It looks as though
>> file names got truncated, and in some cases discarded completely.
>> 
>> >From ls /boot:
>> 
>> >    System.map-2.0.6     chain.b      
>> >    any_b.b              map          
>> >    any_d.b		  mbr.b        
>> >    boot.0302	          os2_d.b      
>> >    boot.b		  vmlinuz-2.0.6
>> 
>> >From ls ./dos:
>> 
>> >    any_b.b    map       
>> >    any_d.b	mbr.b     
>> >    boot.030   os2_d.b   
>> >    boot.b	system.map
>> >    chain.b
>> 
>
>Yes FAT handles only 8.3 names as I'm sure you know. There is a file system
>called umsdos that adds this functionality to FAT. But to use this I suppose 
>that you would need it compiled into the kernel as we are talking booting 
>here. Perhaps a little too inconvenient and wasting of space.
>
>>     I would appreciate some hand-holding at this stage.  Exactly
>> what commands do I type to carry out the lilo instructions (specifically,
>> the symbolic link and copying the kernel)?  Or would I be better off
>> trying loadlin?
>> 
>
>I saw that there was another reply as well. (S)He (I don't remember the name, 
>sorry) had some good ideas as well, like the name of the kernel doesn't 
>matter.
>
>>     Sorry this has been such a long post.  Thanks for your patience!
>> 
>> 
>
>
>I hope my reach is long enough,
>
>							MartinS
>
>
>

I originally set up Linux on a WD 1.2GIG IDE drive, putting Linux /
into /dev/hda1, swap in /dev/hda2, /usr in /dev/hda3, and Windows 95
in /dev/hda4.  The entire Linux system was under 500 Megs, so I did
not have to do _anything_ tricky to get it to work.  (Getting the
Linux system to work the way I wanted it to has _not_ been so smooth,
but that's another story :-) )

I use Central Point Bootsafe, part of their old Antivirus program,
that watches for any program that tries to modify the boot sector.
I installed Win95 first, so after I installed Linux and LILO, of
course the boot sector was modified, and Bootsafe complained when
I subsequently booted Win95.  I just let Bootsafe accept the new
boot image as the correct one, (choose "Update" from the promt) and
Linux and W95 lived happily ever after.

I don't know if this rant will help or not; I hope it will.
---
Key fingerprint =  D6 A7 D7 8C 92 CB 42 FD  60 D5 62 1C D7 B9 EA 8E 
Ken Gaugler  N6OSK         Hybrid Networks, Inc.  Cupertino, Calif.
URL: www.hybrid.com (home: [email-masked]  URL: users.aimnet.com/~keng)
"The life of a Repo Man is ALWAYS INTENSE..."